Get Webhook
Retrieve a webhook endpoint and its signing secret.
Retrieve a webhook by ID. The response includes its signing secret.
Scope: verify.webhooks.read
Path Parameters
idstringrequiredWebhook ID with the whk_ prefix.
Sample Request
Request
curl "https://api.maileroo.com/v1/verify/webhooks/whk_0123456789abcdef01234567" \
-H "Authorization: Bearer roo_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx"Sample Response
Returns 200 OK.
Response
{
"data": {
"id": "whk_0123456789abcdef01234567",
"account_id": "12345",
"sender_profile_id": "prf_0123456789abcdef01234567",
"url": "https://example.com/hooks/otp-verification",
"secret": "0123456789abcdef0123456789abcdef0123456789abcdef0123456789abcdef",
"enabled": true,
"created_at": "2025-01-01T12:00:00Z",
"updated_at": "2025-01-01T12:00:00Z"
}
}Errors
Common authentication, rate-limit, and service-availability errors are described in the Introduction. This endpoint can also return:
404 Not Found— the webhook does not exist for this account.